#include "match_tcp.h"

int win_match(struct packet *p, void *priv, int l, int n)
{
	u_int32_t win=ntohl(p->layer[l+1].h.tcp->win);
	struct longrange *lr=priv;
	return n ^ (win>-lr->min && win<=lr->max);
}

proc_match_match win_validate(char *args, void **ptr,
	struct criteria *m, u_int32_t *c)
{
	if ( !args )
		return NULL;

	if ( template_longrange(args, ptr) )
		return win_match;
	else
		return NULL;
}

